io.agora.rtc

## Class RtcImage

- java.lang.Object
- - io.agora.rtc.RtcImage

-     public class RtcImage
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `height`
    `private java.lang.String` | `url`
    `private int` | `width`
    `private int` | `x`
    `private int` | `y`
    `private int` | `zOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtcImage()`
    `RtcImage(java.lang.String url, int x, int y, int width, int height, int zOrder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()`
    `java.lang.String` | `getUrl()`
    `int` | `getWidth()`
    `int` | `getX()`
    `int` | `getY()`
    `int` | `getZOrder()`
    `void` | `setHeight(int height)`
    `void` | `setUrl(java.lang.String url)`
    `void` | `setWidth(int width)`
    `void` | `setX(int x)`
    `void` | `setY(int y)`
    `void` | `setZOrder(int zOrder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### url

          private java.lang.String url

    - #### x

          private int x

    - #### y

          private int y

    - #### width

          private int width

    - #### height

          private int height

    - #### zOrder

          private int zOrder

  - ### Constructor Detail

    - #### RtcImage

          public RtcImage()

    - #### RtcImage

          public RtcImage(java.lang.String url,
                          int x,
                          int y,
                          int width,
                          int height,
                          int zOrder)

  - ### Method Detail

    - #### getUrl

          public java.lang.String getUrl()

    - #### setUrl

          public void setUrl(java.lang.String url)

    - #### getX

          public int getX()

    - #### setX

          public void setX(int x)

    - #### getY

          public int getY()

    - #### setY

          public void setY(int y)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

    - #### getHeight

          public int getHeight()

    - #### setHeight

          public void setHeight(int height)

    - #### getZOrder

          public int getZOrder()

    - #### setZOrder

          public void setZOrder(int zOrder)